async function loadRenderers(settings, moduleLoader) {
  const renderers = await Promise.all(settings.renderers.map((r) => loadRenderer(r, moduleLoader)));
  return renderers.filter(Boolean);
}
async function loadRenderer(renderer, moduleLoader) {
  const mod = await moduleLoader.import(renderer.serverEntrypoint);
  if (typeof mod.default !== "undefined") {
    return {
      ...renderer,
      ssr: mod.default
    };
  }
  return void 0;
}
export {
  loadRenderer,
  loadRenderers
};
