/// <reference types="node" />
import type http from 'node:http';
import type { ManifestData, SSRManifest } from '../@types/astro';
import type { DevelopmentEnvironment } from '../core/render/index';
import type { DevServerController } from './controller';
type HandleRequest = {
    env: DevelopmentEnvironment;
    manifestData: ManifestData;
    controller: DevServerController;
    incomingRequest: http.IncomingMessage;
    incomingResponse: http.ServerResponse;
    manifest: SSRManifest;
};
/** The main logic to route dev server requests to pages in Astro. */
export declare function handleRequest({ env, manifestData, controller, incomingRequest, incomingResponse, manifest, }: HandleRequest): Promise<void>;
export {};
